<?php
/**
* The template for displaying 404 pages (not found).
*
* @link https://codex.wordpress.org/Creating_an_Error_404_Page
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class='neatblog-main-wrapper neatblog-clearfix' id='neatblog-main-wrapper' itemscope='itemscope' itemtype='http://schema.org/Blog' role='main'>
<div class="neatblog-main-wrapper-inside neatblog-clearfix">

<div class='neatblog-posts-wrapper' id='neatblog-posts-wrapper'>

<div class='neatblog-posts neatblog-box'>
<div class="neatblog-box-inside">

<div class="neatblog-page-header-outside">
<header class="neatblog-page-header">
<div class="neatblog-page-header-inside">
    <?php if ( neatblog_get_option('error_404_heading') ) : ?>
    <h1 class="page-title"><?php echo esc_html( neatblog_get_option('error_404_heading') ); ?></h1>
    <?php else : ?>
    <h1 class="page-title"><?php esc_html_e( 'Oops! That page can not be found.', 'neatblog' ); ?></h1>
    <?php endif; ?>
</div>
</header><!-- .neatblog-page-header -->
</div>

<div class='neatblog-posts-content'>

    <?php if ( neatblog_get_option('error_404_message') ) : ?>
    <p><?php echo wp_kses_post( force_balance_tags( neatblog_get_option('error_404_message') ) ); ?></p>
    <?php else : ?>
    <p><?php esc_html_e( 'It looks like nothing was found at this location. Maybe try one of the links below or a search?', 'neatblog' ); ?></p>
    <?php endif; ?>

    <?php if ( !(neatblog_get_option('hide_404_search')) ) { ?><?php get_search_form(); ?><?php } ?>

</div>

</div>
</div>

</div><!--/#neatblog-posts-wrapper -->

<?php neatblog_404_widgets(); ?>

</div>
</div><!-- /#neatblog-main-wrapper -->

<?php get_footer(); ?>