<?php
/**
* The template for displaying the footer
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

</div>

</div><!--/#neatblog-content-wrapper -->
</div><!--/#neatblog-wrapper -->

<?php neatblog_bottom_wide_widgets(); ?>

<?php neatblog_before_footer(); ?>

<?php if ( !(neatblog_hide_footer_widgets()) ) { ?>
<?php if ( is_active_sidebar( 'neatblog-footer-1' ) || is_active_sidebar( 'neatblog-footer-2' ) || is_active_sidebar( 'neatblog-footer-3' ) || is_active_sidebar( 'neatblog-top-footer' ) || is_active_sidebar( 'neatblog-bottom-footer' ) ) : ?>
<div class='neatblog-clearfix' id='neatblog-footer-blocks' itemscope='itemscope' itemtype='http://schema.org/WPFooter' role='contentinfo'>
<div class='neatblog-container neatblog-clearfix'>
<div class="neatblog-outer-wrapper neatblog-outer-wrapper-footer">

<?php if ( is_active_sidebar( 'neatblog-top-footer' ) ) : ?>
<div class='neatblog-clearfix'>
<div class='neatblog-top-footer-block'>
<?php dynamic_sidebar( 'neatblog-top-footer' ); ?>
</div>
</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'neatblog-footer-1' ) || is_active_sidebar( 'neatblog-footer-2' ) || is_active_sidebar( 'neatblog-footer-3' ) ) : ?>
<div class='neatblog-footer-block-cols neatblog-clearfix'>

<div class="neatblog-footer-block-col neatblog-footer-3-col" id="neatblog-footer-block-1">
<?php dynamic_sidebar( 'neatblog-footer-1' ); ?>
</div>

<div class="neatblog-footer-block-col neatblog-footer-3-col" id="neatblog-footer-block-2">
<?php dynamic_sidebar( 'neatblog-footer-2' ); ?>
</div>

<div class="neatblog-footer-block-col neatblog-footer-3-col" id="neatblog-footer-block-3">
<?php dynamic_sidebar( 'neatblog-footer-3' ); ?>
</div>

</div>
<?php endif; ?>

<?php if ( is_active_sidebar( 'neatblog-bottom-footer' ) ) : ?>
<div class='neatblog-clearfix'>
<div class='neatblog-bottom-footer-block'>
<?php dynamic_sidebar( 'neatblog-bottom-footer' ); ?>
</div>
</div>
<?php endif; ?>

</div>
</div>
</div><!--/#neatblog-footer-blocks-->
<?php endif; ?>
<?php } ?>

<?php neatblog_after_footer(); ?>

<div class='neatblog-clearfix' id='neatblog-copyright-area'>
<div class='neatblog-copyright-area-inside neatblog-container'>
<div class="neatblog-outer-wrapper neatblog-outer-wrapper-copyright">

<div class='neatblog-copyright-area-inside-content neatblog-clearfix'>

<?php if ( neatblog_get_option('footer_text') ) : ?>
  <p class='neatblog-copyright'><?php echo esc_html(neatblog_get_option('footer_text')); ?></p>
<?php else : ?>
  <p class='neatblog-copyright'><?php /* translators: %s: Year and site name. */ printf( esc_html__( 'Copyright &copy; %s', 'neatblog' ), esc_html(date_i18n(__('Y','neatblog'))) . ' ' . esc_html(get_bloginfo( 'name' ))  ); ?></p>
<?php endif; ?>
<p class='neatblog-credit'><a href="<?php echo esc_url( 'https://themesdna.com/' ); ?>"><?php /* translators: %s: Theme author. */ printf( esc_html__( 'Design by %s', 'neatblog' ), 'ThemesDNA.com' ); ?></a></p>

</div>

</div>
</div>
</div><!--/#neatblog-copyright-area -->

<?php if ( neatblog_is_backtotop_active() ) { ?><button class="neatblog-scroll-top" title="<?php esc_attr_e('Scroll to Top','neatblog'); ?>"><i class="fa-solid fa-arrow-up" aria-hidden="true"></i><span class="neatblog-sr-only"><?php esc_html_e('Scroll to Top', 'neatblog'); ?></span></button><?php } ?>

<?php wp_footer(); ?>
</div>
</body>
</html>