<?php
/**
* The header for NeatBlog theme.
*
* @link https://developer.wordpress.org/themes/basics/template-files/#template-partials
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>">
<meta name="viewport" content="width=device-width, initial-scale=1.0">
<link rel="profile" href="http://gmpg.org/xfn/11">
<?php wp_head(); ?>
</head>

<body <?php body_class(); ?> id="neatblog-site-body" itemscope="itemscope" itemtype="http://schema.org/WebPage">
<?php wp_body_open(); ?>
<a class="skip-link screen-reader-text" href="#neatblog-posts-wrapper"><?php esc_html_e( 'Skip to content', 'neatblog' ); ?></a>

<div class="neatblog-site-container">
<?php neatblog_secondary_menu_area(); ?>

<?php neatblog_before_header(); ?>

<?php neatblog_header_image(); ?>

<div class="neatblog-site-header neatblog-container" id="neatblog-header" itemscope="itemscope" itemtype="http://schema.org/WPHeader" role="banner">
<div class="neatblog-head-content neatblog-clearfix" id="neatblog-head-content">

<?php if ( neatblog_is_header_content_active() ) { ?>
<div class="neatblog-header-inside neatblog-clearfix">
<div class="neatblog-header-inside-content neatblog-clearfix">
<div class="neatblog-outer-wrapper neatblog-outer-wrapper-siteheader">
<div class="neatblog-header-inside-container">

<div class="neatblog-logo">
<?php if ( has_custom_logo() ) : ?>
    <div class="site-branding site-branding-full">
    <div class="neatblog-custom-logo-image">
    <a href="<?php echo esc_url( home_url( '/' ) ); ?>" rel="home" class="neatblog-logo-img-link">
        <img src="<?php echo esc_url( neatblog_custom_logo() ); ?>" alt="" class="neatblog-logo-img"/>
    </a>
    </div>
    <div class="neatblog-custom-logo-info"><?php neatblog_site_title(); ?></div>
    </div>
<?php else: ?>
    <div class="site-branding">
      <?php neatblog_site_title(); ?>
    </div>
<?php endif; ?>
</div>

<?php if ( neatblog_is_primary_menu_active() ) { ?>
<div class="neatblog-header-menu">
<div class="neatblog-container neatblog-primary-menu-container neatblog-clearfix">
<div class="neatblog-primary-menu-container-inside neatblog-clearfix">
<nav class="neatblog-nav-primary" id="neatblog-primary-navigation" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement" role="navigation" aria-label="<?php esc_attr_e( 'Primary Menu', 'neatblog' ); ?>">
<button class="neatblog-primary-responsive-menu-icon" aria-controls="neatblog-menu-primary-navigation" aria-expanded="false"><?php echo esc_html( neatblog_primary_menu_text() ); ?></button>
<?php wp_nav_menu( array( 'theme_location' => 'primary', 'menu_id' => 'neatblog-menu-primary-navigation', 'menu_class' => 'neatblog-primary-nav-menu neatblog-menu-primary neatblog-clearfix', 'fallback_cb' => 'neatblog_fallback_menu', 'container' => '', ) ); ?>

<?php if ( neatblog_get_option('show_header_search_button') ) { ?>
<div id="neatblog-header-search-overlay-wrap" class="neatblog-search-overlay">
  <div class="neatblog-search-overlay-content">
    <?php get_search_form(); ?>
  </div>
  <button class="neatblog-header-search-close" aria-label="<?php esc_attr_e( 'Close Search', 'neatblog' ); ?>" title="<?php esc_attr_e('Close Search','neatblog'); ?>">&#xD7;</button>
</div>
<?php } ?>

</nav>
</div>
</div>
</div>
<?php } ?>

</div>
</div>
</div>
</div>
<?php } else { ?>
<div class="neatblog-no-header-content">
  <?php neatblog_site_title(); ?>
</div>
<?php } ?>

</div><!--/#neatblog-head-content -->
</div><!--/#neatblog-header -->

<?php neatblog_after_header(); ?>

<div id="neatblog-header-end"></div>

<?php neatblog_top_wide_widgets(); ?>

<div class="neatblog-outer-wrapper neatblog-outer-wrapper-maincontentwrapper" id="neatblog-wrapper-outside">

<div class="neatblog-container neatblog-clearfix" id="neatblog-wrapper">
<div class="neatblog-content-wrapper neatblog-clearfix" id="neatblog-content-wrapper">