<?php
/**
* Getting started options
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_getting_started($wp_customize) {

    $wp_customize->add_section( 'neatblog_section_getting_started', array( 'title' => esc_html__( 'Getting Started', 'neatblog' ), 'description' => esc_html__( 'Thanks for your interest in NeatBlog! If you have any questions or run into any trouble, please visit us the following links. We will get you fixed up!', 'neatblog' ), 'panel' => 'neatblog_main_options_panel', 'priority' => 5, ) );

    $wp_customize->add_setting( 'neatblog_options[documentation]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new NeatBlog_Customize_Button_Control( $wp_customize, 'neatblog_documentation_control', array( 'label' => esc_html__( 'Documentation', 'neatblog' ), 'section' => 'neatblog_section_getting_started', 'settings' => 'neatblog_options[documentation]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/neatblog-wordpress-theme/' ), 'button_target' => '_blank', ) ) );

    $wp_customize->add_setting( 'neatblog_options[contact]', array( 'default' => '', 'sanitize_callback' => '__return_false', ) );

    $wp_customize->add_control( new NeatBlog_Customize_Button_Control( $wp_customize, 'neatblog_contact_control', array( 'label' => esc_html__( 'Contact Us', 'neatblog' ), 'section' => 'neatblog_section_getting_started', 'settings' => 'neatblog_options[contact]', 'type' => 'button', 'button_tag' => 'a', 'button_class' => 'button button-primary', 'button_href' => esc_url( 'https://themesdna.com/contact/' ), 'button_target' => '_blank', ) ) );

}