<?php
/**
* Share Button options
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_share_buttons_options($wp_customize) {

    $wp_customize->add_section( 'neatblog_section_share', array( 'title' => esc_html__( 'Share Buttons Options', 'neatblog' ), 'panel' => 'neatblog_main_options_panel', 'priority' => 260 ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_buttons_home]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_buttons_home_control', array( 'label' => esc_html__( 'Hide Share Buttons from Posts Summaries', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_buttons_home]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_buttons]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_buttons_control', array( 'label' => esc_html__( 'Hide Share Buttons from Single Posts', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_buttons]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_text]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_text_control', array( 'label' => esc_html__( 'Hide Share Text', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_text]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[share_text]', array( 'default' => esc_html__( 'Share:', 'neatblog' ), 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'sanitize_text_field', ) );

    $wp_customize->add_control( 'neatblog_share_text_control', array( 'label' => esc_html__( 'Share Text', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[share_text]', 'type' => 'text', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_twitter]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_twitter_control', array( 'label' => esc_html__( 'Hide Twitter Share Button', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_twitter]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_facebook]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_facebook_control', array( 'label' => esc_html__( 'Hide Facebook Share Button', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_facebook]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_pinterest]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_pinterest_control', array( 'label' => esc_html__( 'Hide Pinterest Share Button', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_pinterest]', 'type' => 'checkbox', ) );

    $wp_customize->add_setting( 'neatblog_options[hide_share_linkedin]', array( 'default' => false, 'type' => 'option', 'capability' => 'edit_theme_options', 'sanitize_callback' => 'neatblog_sanitize_checkbox', ) );

    $wp_customize->add_control( 'neatblog_hide_share_linkedin_control', array( 'label' => esc_html__( 'Hide Linkedin Share Button', 'neatblog' ), 'section' => 'neatblog_section_share', 'settings' => 'neatblog_options[hide_share_linkedin]', 'type' => 'checkbox', ) );

}