<?php
/**
* Layout Functions
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_hide_footer_widgets() {
    $hide_footer_widgets = FALSE;

    if ( neatblog_get_option('hide_footer_widgets') ) {
        $hide_footer_widgets = TRUE;
    }

    return apply_filters( 'neatblog_hide_footer_widgets', $hide_footer_widgets );
}

function neatblog_is_header_content_active() {
    $header_content_active = TRUE;

    if ( neatblog_get_option('hide_header_content') ) {
        $header_content_active = FALSE;
    }

    return apply_filters( 'neatblog_is_header_content_active', $header_content_active );
}

function neatblog_is_primary_menu_active() {
    $primary_menu_active = TRUE;

    if ( neatblog_get_option('disable_primary_menu') ) {
        $primary_menu_active = FALSE;
    }

    return apply_filters( 'neatblog_is_primary_menu_active', $primary_menu_active );
}

function neatblog_is_menu_social_bar_active() {
    $menu_social_bar_active = TRUE;

    if ( neatblog_get_option('disable_menu_social_bar') ) {
        $menu_social_bar_active = FALSE;
    }

    return apply_filters( 'neatblog_is_menu_social_bar_active', $menu_social_bar_active );
}

function neatblog_is_secondary_menu_active() {
    $secondary_menu_active = TRUE;

    if ( neatblog_get_option('disable_secondary_menu') ) {
        $secondary_menu_active = FALSE;
    }

    return apply_filters( 'neatblog_is_secondary_menu_active', $secondary_menu_active );
}

function neatblog_is_sticky_header_active() {
    $sticky_header_active = FALSE;

    if ( neatblog_get_option('enable_sticky_header') ) {
        $sticky_header_active = TRUE;
    }

    return apply_filters( 'neatblog_is_sticky_header_active', $sticky_header_active );
}

function neatblog_is_sticky_mobile_header_active() {
    $sticky_mobile_header_active = FALSE;

    if ( neatblog_get_option('enable_sticky_mobile_header') ) {
        $sticky_mobile_header_active = TRUE;
    }

    return apply_filters( 'neatblog_is_sticky_mobile_header_active', $sticky_mobile_header_active );
}

function neatblog_is_social_buttons_active() {
    $social_buttons_active = TRUE;

    if ( neatblog_get_option('hide_header_social_buttons') ) {
        $social_buttons_active = FALSE;
    }

    return apply_filters( 'neatblog_is_social_buttons_active', $social_buttons_active );
}

function neatblog_is_fitvids_active() {
    $fitvids_active = FALSE;

    if ( neatblog_get_option('enable_fitvids') ) {
        $fitvids_active = TRUE;
    }

    return apply_filters( 'neatblog_is_fitvids_active', $fitvids_active );
}

function neatblog_is_backtotop_active() {
    $backtotop_active = TRUE;

    if ( neatblog_get_option('disable_backtotop') ) {
        $backtotop_active = FALSE;
    }

    return apply_filters( 'neatblog_is_backtotop_active', $backtotop_active );
}

/**
 * Set the content width in pixels, based on the theme's design and stylesheet.
 *
 * Priority 0 to make it available to lower priority callbacks.
 *
 * @global int $content_width
 */
function neatblog_content_width() {
    $content_width = 1070;

    $GLOBALS['content_width'] = apply_filters( 'neatblog_content_width', $content_width ); /* phpcs:ignore WPThemeReview.CoreFunctionality.PrefixAllGlobals.NonPrefixedVariableFound */
}
add_action( 'template_redirect', 'neatblog_content_width', 0 );

function neatblog_post_snippet_type() {
    $snippet_type = 'postexcerpt';

    if ( neatblog_get_option('post_snippet_type') ) {
        $snippet_type = neatblog_get_option('post_snippet_type');
    }

    return apply_filters( 'neatblog_post_snippet_type', $snippet_type );
}

function neatblog_thumbnail_alignment_post_summaries() {
    $alignment = 'neatblog-thumbnail-alignwide';

    if ( neatblog_get_option('thumbnail_alignment_post_summaries') ) {
        $alignment = neatblog_get_option('thumbnail_alignment_post_summaries');
    }

    return apply_filters( 'neatblog_thumbnail_alignment_post_summaries', $alignment );
}

function neatblog_thumbnail_alignment_single() {
    $alignment = 'neatblog-thumbnail-alignwide';

    if ( neatblog_get_option('thumbnail_alignment_single') ) {
        $alignment = neatblog_get_option('thumbnail_alignment_single');
    }

    return apply_filters( 'neatblog_thumbnail_alignment_single', $alignment );
}

function neatblog_thumbnail_alignment_page() {
    $alignment = 'neatblog-thumbnail-alignwide';

    if ( neatblog_get_option('thumbnail_alignment_page') ) {
        $alignment = neatblog_get_option('thumbnail_alignment_page');
    }

    return apply_filters( 'neatblog_thumbnail_alignment_page', $alignment );
}
