<?php
/**
* Social buttons
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_social_buttons() { ?>

<div class='neatblog-header-social-icons'>
    <?php if ( neatblog_get_option('twitterlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('twitterlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-twitter" aria-label="<?php esc_attr_e('Twitter Button','neatblog'); ?>"><i class="fa-brands fa-twitter" aria-hidden="true" title="<?php esc_attr_e('Twitter','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('facebooklink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('facebooklink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-facebook" aria-label="<?php esc_attr_e('Facebook Button','neatblog'); ?>"><i class="fa-brands fa-facebook-f" aria-hidden="true" title="<?php esc_attr_e('Facebook','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('googlelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('googlelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-google-plus" aria-label="<?php esc_attr_e('Google Plus Button','neatblog'); ?>"><i class="fa-brands fa-google-plus-g" aria-hidden="true" title="<?php esc_attr_e('Google Plus','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('pinterestlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('pinterestlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-pinterest" aria-label="<?php esc_attr_e('Pinterest Button','neatblog'); ?>"><i class="fa-brands fa-pinterest" aria-hidden="true" title="<?php esc_attr_e('Pinterest','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('linkedinlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('linkedinlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-linkedin" aria-label="<?php esc_attr_e('Linkedin Button','neatblog'); ?>"><i class="fa-brands fa-linkedin-in" aria-hidden="true" title="<?php esc_attr_e('Linkedin','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('instagramlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('instagramlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-instagram" aria-label="<?php esc_attr_e('Instagram Button','neatblog'); ?>"><i class="fa-brands fa-instagram" aria-hidden="true" title="<?php esc_attr_e('Instagram','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('flickrlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('flickrlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-flickr" aria-label="<?php esc_attr_e('Flickr Button','neatblog'); ?>"><i class="fa-brands fa-flickr" aria-hidden="true" title="<?php esc_attr_e('Flickr','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('youtubelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('youtubelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-youtube" aria-label="<?php esc_attr_e('Youtube Button','neatblog'); ?>"><i class="fa-brands fa-youtube" aria-hidden="true" title="<?php esc_attr_e('Youtube','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('vimeolink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('vimeolink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-vimeo" aria-label="<?php esc_attr_e('Vimeo Button','neatblog'); ?>"><i class="fa-brands fa-vimeo-v" aria-hidden="true" title="<?php esc_attr_e('Vimeo','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('soundcloudlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('soundcloudlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-soundcloud" aria-label="<?php esc_attr_e('SoundCloud Button','neatblog'); ?>"><i class="fa-brands fa-soundcloud" aria-hidden="true" title="<?php esc_attr_e('SoundCloud','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('messengerlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('messengerlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-messenger" aria-label="<?php esc_attr_e('Messenger Button','neatblog'); ?>"><i class="fa-brands fa-facebook-messenger" aria-hidden="true" title="<?php esc_attr_e('Messenger','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('whatsapplink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('whatsapplink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-whatsapp" aria-label="<?php esc_attr_e('WhatsApp Button','neatblog'); ?>"><i class="fa-brands fa-whatsapp" aria-hidden="true" title="<?php esc_attr_e('WhatsApp','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('tiktoklink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('tiktoklink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-tiktok" aria-label="<?php esc_attr_e('TikTok Button','neatblog'); ?>"><i class="fa-brands fa-tiktok" aria-hidden="true" title="<?php esc_attr_e('TikTok','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('lastfmlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('lastfmlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-lastfm" aria-label="<?php esc_attr_e('Lastfm Button','neatblog'); ?>"><i class="fa-brands fa-lastfm" aria-hidden="true" title="<?php esc_attr_e('Lastfm','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('mediumlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('mediumlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-medium" aria-label="<?php esc_attr_e('Medium Button','neatblog'); ?>"><i class="fa-brands fa-medium" aria-hidden="true" title="<?php esc_attr_e('Medium','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('githublink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('githublink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-github" aria-label="<?php esc_attr_e('Github Button','neatblog'); ?>"><i class="fa-brands fa-github" aria-hidden="true" title="<?php esc_attr_e('Github','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('bitbucketlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('bitbucketlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-bitbucket" aria-label="<?php esc_attr_e('Bitbucket Button','neatblog'); ?>"><i class="fa-brands fa-bitbucket" aria-hidden="true" title="<?php esc_attr_e('Bitbucket','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('tumblrlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('tumblrlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-tumblr" aria-label="<?php esc_attr_e('Tumblr Button','neatblog'); ?>"><i class="fa-brands fa-tumblr" aria-hidden="true" title="<?php esc_attr_e('Tumblr','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('digglink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('digglink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-digg" aria-label="<?php esc_attr_e('Digg Button','neatblog'); ?>"><i class="fa-brands fa-digg" aria-hidden="true" title="<?php esc_attr_e('Digg','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('deliciouslink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('deliciouslink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-delicious" aria-label="<?php esc_attr_e('Delicious Button','neatblog'); ?>"><i class="fa-brands fa-delicious" aria-hidden="true" title="<?php esc_attr_e('Delicious','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('stumblelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('stumblelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-stumbleupon" aria-label="<?php esc_attr_e('Stumbleupon Button','neatblog'); ?>"><i class="fa-brands fa-stumbleupon" aria-hidden="true" title="<?php esc_attr_e('Stumbleupon','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('mixlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('mixlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-mix" aria-label="<?php esc_attr_e('Mix Button','neatblog'); ?>"><i class="fa-brands fa-mix" aria-hidden="true" title="<?php esc_attr_e('Mix','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('redditlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('redditlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-reddit" aria-label="<?php esc_attr_e('Reddit Button','neatblog'); ?>"><i class="fa-brands fa-reddit" aria-hidden="true" title="<?php esc_attr_e('Reddit','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('dribbblelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('dribbblelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-dribbble" aria-label="<?php esc_attr_e('Dribbble Button','neatblog'); ?>"><i class="fa-brands fa-dribbble" aria-hidden="true" title="<?php esc_attr_e('Dribbble','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('flipboardlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('flipboardlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-flipboard" aria-label="<?php esc_attr_e('Flipboard Button','neatblog'); ?>"><i class="fa-brands fa-flipboard" aria-hidden="true" title="<?php esc_attr_e('Flipboard','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('bloggerlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('bloggerlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-blogger" aria-label="<?php esc_attr_e('Blogger Button','neatblog'); ?>"><i class="fa-brands fa-blogger" aria-hidden="true" title="<?php esc_attr_e('Blogger','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('etsylink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('etsylink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-etsy" aria-label="<?php esc_attr_e('Etsy Button','neatblog'); ?>"><i class="fa-brands fa-etsy" aria-hidden="true" title="<?php esc_attr_e('Etsy','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('behancelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('behancelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-behance" aria-label="<?php esc_attr_e('Behance Button','neatblog'); ?>"><i class="fa-brands fa-behance" aria-hidden="true" title="<?php esc_attr_e('Behance','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('amazonlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('amazonlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-amazon" aria-label="<?php esc_attr_e('Amazon Button','neatblog'); ?>"><i class="fa-brands fa-amazon" aria-hidden="true" title="<?php esc_attr_e('Amazon','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('meetuplink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('meetuplink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-meetup" aria-label="<?php esc_attr_e('Meetup Button','neatblog'); ?>"><i class="fa-brands fa-meetup" aria-hidden="true" title="<?php esc_attr_e('Meetup','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('mixcloudlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('mixcloudlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-mixcloud" aria-label="<?php esc_attr_e('Mixcloud Button','neatblog'); ?>"><i class="fa-brands fa-mixcloud" aria-hidden="true" title="<?php esc_attr_e('Mixcloud','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('slacklink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('slacklink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-slack" aria-label="<?php esc_attr_e('Slack Button','neatblog'); ?>"><i class="fa-brands fa-slack" aria-hidden="true" title="<?php esc_attr_e('Slack','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('snapchatlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('snapchatlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-snapchat" aria-label="<?php esc_attr_e('Snapchat Button','neatblog'); ?>"><i class="fa-brands fa-snapchat" aria-hidden="true" title="<?php esc_attr_e('Snapchat','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('spotifylink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('spotifylink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-spotify" aria-label="<?php esc_attr_e('Spotify Button','neatblog'); ?>"><i class="fa-brands fa-spotify" aria-hidden="true" title="<?php esc_attr_e('Spotify','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('yelplink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('yelplink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-yelp" aria-label="<?php esc_attr_e('Yelp Button','neatblog'); ?>"><i class="fa-brands fa-yelp" aria-hidden="true" title="<?php esc_attr_e('Yelp','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('wordpresslink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('wordpresslink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-wordpress" aria-label="<?php esc_attr_e('WordPress Button','neatblog'); ?>"><i class="fa-brands fa-wordpress" aria-hidden="true" title="<?php esc_attr_e('WordPress','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('twitchlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('twitchlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-twitch" aria-label="<?php esc_attr_e('Twitch Button','neatblog'); ?>"><i class="fa-brands fa-twitch" aria-hidden="true" title="<?php esc_attr_e('Twitch','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('telegramlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('telegramlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-telegram" aria-label="<?php esc_attr_e('Telegram Button','neatblog'); ?>"><i class="fa-brands fa-telegram" aria-hidden="true" title="<?php esc_attr_e('Telegram','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('bandcamplink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('bandcamplink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-bandcamp" aria-label="<?php esc_attr_e('Bandcamp Button','neatblog'); ?>"><i class="fa-brands fa-bandcamp" aria-hidden="true" title="<?php esc_attr_e('Bandcamp','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('quoralink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('quoralink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-quora" aria-label="<?php esc_attr_e('Quora Button','neatblog'); ?>"><i class="fa-brands fa-quora" aria-hidden="true" title="<?php esc_attr_e('Quora','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('foursquarelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('foursquarelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-foursquare" aria-label="<?php esc_attr_e('Foursquare Button','neatblog'); ?>"><i class="fa-brands fa-foursquare" aria-hidden="true" title="<?php esc_attr_e('Foursquare','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('deviantartlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('deviantartlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-deviantart" aria-label="<?php esc_attr_e('DeviantArt Button','neatblog'); ?>"><i class="fa-brands fa-deviantart" aria-hidden="true" title="<?php esc_attr_e('DeviantArt','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('imdblink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('imdblink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-imdb" aria-label="<?php esc_attr_e('IMDB Button','neatblog'); ?>"><i class="fa-brands fa-imdb" aria-hidden="true" title="<?php esc_attr_e('IMDB','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('vklink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('vklink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-vk" aria-label="<?php esc_attr_e('VK Button','neatblog'); ?>"><i class="fa-brands fa-vk" aria-hidden="true" title="<?php esc_attr_e('VK','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('codepenlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('codepenlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-codepen" aria-label="<?php esc_attr_e('Codepen Button','neatblog'); ?>"><i class="fa-brands fa-codepen" aria-hidden="true" title="<?php esc_attr_e('Codepen','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('jsfiddlelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('jsfiddlelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-jsfiddle" aria-label="<?php esc_attr_e('JSFiddle Button','neatblog'); ?>"><i class="fa-brands fa-jsfiddle" aria-hidden="true" title="<?php esc_attr_e('JSFiddle','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('stackoverflowlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('stackoverflowlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-stackoverflow" aria-label="<?php esc_attr_e('Stack Overflow Button','neatblog'); ?>"><i class="fa-brands fa-stack-overflow" aria-hidden="true" title="<?php esc_attr_e('Stack Overflow','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('stackexchangelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('stackexchangelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-stackexchange" aria-label="<?php esc_attr_e('Stack Exchange Button','neatblog'); ?>"><i class="fa-brands fa-stack-exchange" aria-hidden="true" title="<?php esc_attr_e('Stack Exchange','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('bsalink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('bsalink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-buysellads" aria-label="<?php esc_attr_e('BuySellAds Button','neatblog'); ?>"><i class="fa-brands fa-buysellads" aria-hidden="true" title="<?php esc_attr_e('BuySellAds','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('web500pxlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('web500pxlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-web500px" aria-label="<?php esc_attr_e('500px Button','neatblog'); ?>"><i class="fa-brands fa-500px" aria-hidden="true" title="<?php esc_attr_e('500px','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('ellolink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('ellolink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-ello" aria-label="<?php esc_attr_e('Ello Button','neatblog'); ?>"><i class="fa-brands fa-ello" aria-hidden="true" title="<?php esc_attr_e('Ello','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('discordlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('discordlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-discord" aria-label="<?php esc_attr_e('Discord Button','neatblog'); ?>"><i class="fa-brands fa-discord" aria-hidden="true" title="<?php esc_attr_e('Discord','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('goodreadslink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('goodreadslink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-goodreads" aria-label="<?php esc_attr_e('Goodreads Button','neatblog'); ?>"><i class="fa-brands fa-goodreads" aria-hidden="true" title="<?php esc_attr_e('Goodreads','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('odnoklassnikilink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('odnoklassnikilink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-odnoklassniki" aria-label="<?php esc_attr_e('Odnoklassniki Button','neatblog'); ?>"><i class="fa-brands fa-odnoklassniki" aria-hidden="true" title="<?php esc_attr_e('Odnoklassniki','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('houzzlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('houzzlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-houzz" aria-label="<?php esc_attr_e('Houzz Button','neatblog'); ?>"><i class="fa-brands fa-houzz" aria-hidden="true" title="<?php esc_attr_e('Houzz','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('pocketlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('pocketlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-pocket" aria-label="<?php esc_attr_e('Pocket Button','neatblog'); ?>"><i class="fa-brands fa-get-pocket" aria-hidden="true" title="<?php esc_attr_e('Pocket','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('xinglink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('xinglink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-xing" aria-label="<?php esc_attr_e('XING Button','neatblog'); ?>"><i class="fa-brands fa-xing" aria-hidden="true" title="<?php esc_attr_e('XING','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('googleplaylink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('googleplaylink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-googleplay" aria-label="<?php esc_attr_e('Google Play Button','neatblog'); ?>"><i class="fa-brands fa-google-play" aria-hidden="true" title="<?php esc_attr_e('Google Play','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('slidesharelink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('slidesharelink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-slideshare" aria-label="<?php esc_attr_e('SlideShare Button','neatblog'); ?>"><i class="fa-brands fa-slideshare" aria-hidden="true" title="<?php esc_attr_e('SlideShare','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('dropboxlink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('dropboxlink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-dropbox" aria-label="<?php esc_attr_e('Dropbox Button','neatblog'); ?>"><i class="fa-brands fa-dropbox" aria-hidden="true" title="<?php esc_attr_e('Dropbox','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('paypallink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('paypallink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-paypal" aria-label="<?php esc_attr_e('PayPal Button','neatblog'); ?>"><i class="fa-brands fa-paypal" aria-hidden="true" title="<?php esc_attr_e('PayPal','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('viadeolink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('viadeolink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-viadeo" aria-label="<?php esc_attr_e('Viadeo Button','neatblog'); ?>"><i class="fa-brands fa-viadeo" aria-hidden="true" title="<?php esc_attr_e('Viadeo','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('wikipedialink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('wikipedialink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-wikipedia" aria-label="<?php esc_attr_e('Wikipedia Button','neatblog'); ?>"><i class="fa-brands fa-wikipedia-w" aria-hidden="true" title="<?php esc_attr_e('Wikipedia','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('skypeusername') ) : ?>
            <a href="skype:<?php echo esc_html( neatblog_get_option('skypeusername') ); ?>?chat" class="neatblog-header-social-icon-skype" aria-label="<?php esc_attr_e('Skype Button','neatblog'); ?>"><i class="fa-brands fa-skype" aria-hidden="true" title="<?php esc_attr_e('Skype','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('emailaddress') ) : ?>
            <a href="mailto:<?php echo esc_html( neatblog_get_option('emailaddress') ); ?>" class="neatblog-header-social-icon-email" aria-label="<?php esc_attr_e('Email Us Button','neatblog'); ?>"><i class="fa-solid fa-envelope" aria-hidden="true" title="<?php esc_attr_e('Email Us','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('rsslink') ) : ?>
            <a href="<?php echo esc_url( neatblog_get_option('rsslink') ); ?>" target="_blank" rel="nofollow" class="neatblog-header-social-icon-rss" aria-label="<?php esc_attr_e('RSS Button','neatblog'); ?>"><i class="fa-solid fa-rss" aria-hidden="true" title="<?php esc_attr_e('RSS','neatblog'); ?>"></i></a><?php endif; ?>
    <?php if ( neatblog_get_option('show_login_button') ) { ?><?php if (is_user_logged_in()) : ?><a href="<?php echo esc_url( wp_logout_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Logout Button', 'neatblog' ); ?>" class="neatblog-header-social-icon-login"><i class="fa-solid fa-right-from-bracket" aria-hidden="true" title="<?php esc_attr_e('Logout','neatblog'); ?>"></i></a><?php else : ?><a href="<?php echo esc_url( wp_login_url( get_permalink() ) ); ?>" aria-label="<?php esc_attr_e( 'Login / Register Button', 'neatblog' ); ?>" class="neatblog-header-social-icon-login"><i class="fa-solid fa-right-to-bracket" aria-hidden="true" title="<?php esc_attr_e('Login / Register','neatblog'); ?>"></i></a><?php endif;?><?php } ?>
    <?php if ( !(neatblog_get_option('hide_search_button')) ) { ?><a href="<?php echo esc_url( '#' ); ?>" class="neatblog-header-social-icon-search" aria-label="<?php esc_attr_e('Search Button','neatblog'); ?>"><i class="fa-solid fa-magnifying-glass" aria-hidden="true" title="<?php esc_attr_e('Search','neatblog'); ?>"></i></a><?php } ?>
</div>

<?php }