<?php
/**
* Register widget area.
*
* @link https://developer.wordpress.org/themes/functionality/sidebars/#registering-a-sidebar
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

function neatblog_widgets_init() {

register_sidebar(array(
    'id' => 'neatblog-home-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Default HomePage)', 'neatblog' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-fullwidth-widgets',
    'name' => esc_html__( 'Top Full Width Widgets (Everywhere)', 'neatblog' ),
    'description' => esc_html__( 'This full-width widget area is located after the header of your website. Widgets of this widget area are displayed on every page of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-home-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Default HomePage)', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-top-widgets',
    'name' => esc_html__( 'Above Content Widgets (Everywhere)', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located at the top of the main content (above posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-home-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Default HomePage)', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-bottom-widgets',
    'name' => esc_html__( 'Below Content Widgets (Everywhere)', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located at the bottom of the main content (below posts) of your website. Widgets of this widget area are displayed on every page of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-home-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Default HomePage)', 'neatblog' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on the default homepage of your website (when you are showing your latest posts on homepage).', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-fullwidth-bottom-widgets',
    'name' => esc_html__( 'Bottom Full Width Widgets (Everywhere)', 'neatblog' ),
    'description' => esc_html__( 'This full-width widget area is located before the footer of your website. Widgets of this widget area are displayed on every page of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-single-post-bottom-widgets',
    'name' => esc_html__( 'Single Post Bottom Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located at the bottom of single post of any post type (except attachments and pages).', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

register_sidebar(array(
    'id' => 'neatblog-top-footer',
    'name' => esc_html__( 'Footer Top Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located on the top of the footer of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'neatblog-footer-1',
    'name' => esc_html__( 'Footer 1 Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is the column 1 of the footer of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'neatblog-footer-2',
    'name' => esc_html__( 'Footer 2 Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is the column 2 of the footer of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'neatblog-footer-3',
    'name' => esc_html__( 'Footer 3 Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is the column 3 of the footer of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'neatblog-bottom-footer',
    'name' => esc_html__( 'Footer Bottom Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located on the bottom of the footer of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-footer-widget widget %2$s">',
    'after_widget' => '</div>',
    'before_title' => '<h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2>'));

register_sidebar(array(
    'id' => 'neatblog-404-widgets',
    'name' => esc_html__( '404 Page Widgets', 'neatblog' ),
    'description' => esc_html__( 'This widget area is located on the 404(not found) page of your website.', 'neatblog' ),
    'before_widget' => '<div id="%1$s" class="neatblog-main-widget widget neatblog-widget-box %2$s"><div class="neatblog-widget-box-inside">',
    'after_widget' => '</div></div>',
    'before_title' => '<div class="neatblog-widget-header"><div class="neatblog-widget-header-inside"><h2 class="neatblog-widget-title"><span class="neatblog-widget-title-inside">',
    'after_title' => '</span></h2></div></div>'));

}
add_action( 'widgets_init', 'neatblog_widgets_init' );

function neatblog_top_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'neatblog-home-fullwidth-widgets' ) || is_active_sidebar( 'neatblog-fullwidth-widgets' ) ) : ?>
<div class="neatblog-outer-wrapper neatblog-outer-wrapper-maincontentwrapper">
<div class="neatblog-top-wrapper-outer neatblog-clearfix">
<div class="neatblog-featured-posts-area neatblog-top-wrapper neatblog-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'neatblog-home-fullwidth-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'neatblog-fullwidth-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function neatblog_top_widgets() { ?>

<?php if ( is_active_sidebar( 'neatblog-home-top-widgets' ) || is_active_sidebar( 'neatblog-top-widgets' ) ) : ?>
<div class="neatblog-featured-posts-area neatblog-featured-posts-area-top neatblog-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'neatblog-home-top-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'neatblog-top-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function neatblog_bottom_widgets() { ?>

<?php if ( is_active_sidebar( 'neatblog-home-bottom-widgets' ) || is_active_sidebar( 'neatblog-bottom-widgets' ) ) : ?>
<div class='neatblog-featured-posts-area neatblog-featured-posts-area-bottom neatblog-clearfix'>
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'neatblog-home-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'neatblog-bottom-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function neatblog_bottom_wide_widgets() { ?>

<?php if ( is_active_sidebar( 'neatblog-home-fullwidth-bottom-widgets' ) || is_active_sidebar( 'neatblog-fullwidth-bottom-widgets' ) ) : ?>
<div class="neatblog-outer-wrapper neatblog-outer-wrapper-maincontentwrapper">
<div class="neatblog-bottom-wrapper-outer neatblog-clearfix">
<div class="neatblog-featured-posts-area neatblog-bottom-wrapper neatblog-clearfix">
<?php if ( is_front_page() && is_home() && !is_paged() ) { ?>
<?php dynamic_sidebar( 'neatblog-home-fullwidth-bottom-widgets' ); ?>
<?php } ?>

<?php dynamic_sidebar( 'neatblog-fullwidth-bottom-widgets' ); ?>
</div>
</div>
</div>
<?php endif; ?>

<?php }


function neatblog_404_widgets() { ?>

<?php if ( is_active_sidebar( 'neatblog-404-widgets' ) ) : ?>
<div class="neatblog-featured-posts-area neatblog-featured-posts-area-top neatblog-clearfix">
<?php dynamic_sidebar( 'neatblog-404-widgets' ); ?>
</div>
<?php endif; ?>

<?php }


function neatblog_post_bottom_widgets() {
    if ( is_singular() ) {
        global $post;
        if ( is_active_sidebar( 'neatblog-single-post-bottom-widgets' ) ) : ?>
            <div class="neatblog-featured-posts-area neatblog-clearfix">
            <?php dynamic_sidebar( 'neatblog-single-post-bottom-widgets' ); ?>
            </div>
        <?php endif;
    }
}