<?php
/**
* The main template file.
*
* This is the most generic template file in a WordPress theme
* and one of the two required files for a theme (the other being style.css).
* It is used to display a page when nothing more specific matches a query.
* E.g., it puts together the home page when no home.php file exists.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="neatblog-main-wrapper neatblog-clearfix" id="neatblog-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="neatblog-main-wrapper-inside neatblog-clearfix">

<?php neatblog_before_main_content(); ?>

<div class="neatblog-posts-wrapper" id="neatblog-posts-wrapper">

<?php if ( !(neatblog_get_option('hide_posts_heading')) ) { ?>
<?php if(is_home() && !is_paged()) { ?>
<?php if ( neatblog_get_option('posts_heading') ) : ?>
<div class="neatblog-posts-header"><div class="neatblog-posts-header-inside"><h2 class="neatblog-posts-heading"><span class="neatblog-posts-heading-inside"><?php echo esc_html( neatblog_get_option('posts_heading') ); ?></span></h2></div></div>
<?php else : ?>
<div class="neatblog-posts-header"><div class="neatblog-posts-header-inside"><h2 class="neatblog-posts-heading"><span class="neatblog-posts-heading-inside"><?php esc_html_e( 'Recent Posts', 'neatblog' ); ?></span></h2></div></div>
<?php endif; ?>
<?php } ?>
<?php } ?>

<div class="neatblog-posts-content">

<?php if (have_posts()) : ?>

    <?php while (have_posts()) : the_post(); ?>
        <?php get_template_part( 'template-parts/content-summaries' ); ?>
    <?php endwhile; ?>
    <div class="clear"></div>

    <?php neatblog_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#neatblog-posts-wrapper -->

<?php neatblog_after_main_content(); ?>

</div>
</div><!-- /#neatblog-main-wrapper -->

<?php get_footer(); ?>