<?php
/**
* The template for displaying search results pages.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/#search-result
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/

get_header(); ?>

<div class="neatblog-main-wrapper neatblog-clearfix" id="neatblog-main-wrapper" itemscope="itemscope" itemtype="http://schema.org/Blog" role="main">
<div class="neatblog-main-wrapper-inside neatblog-clearfix">

<?php neatblog_before_main_content(); ?>

<div class="neatblog-posts-wrapper" id="neatblog-posts-wrapper">

<div class="neatblog-page-header-outside">
<header class="neatblog-page-header">
<div class="neatblog-page-header-inside">
<h1 class="page-title"><?php /* translators: %s: search query. */ printf( esc_html__( 'Search Results for: %s', 'neatblog' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
</div>
</header>
</div>

<div class="neatblog-posts-content">

<?php if (have_posts()) : ?>

    <?php while (have_posts()) : the_post(); ?>
        <?php get_template_part( 'template-parts/content-summaries' ); ?>
    <?php endwhile; ?>
    <div class="clear"></div>

    <?php neatblog_posts_navigation(); ?>

<?php else : ?>

  <?php get_template_part( 'template-parts/content', 'none' ); ?>

<?php endif; ?>

</div>

</div><!--/#neatblog-posts-wrapper -->

<?php neatblog_after_main_content(); ?>

</div>
</div><!-- /#neatblog-main-wrapper -->

<?php get_footer(); ?>