<?php
/**
* Template part for displaying single posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<?php neatblog_before_single_post(); ?>

<article id="post-<?php the_ID(); ?>" <?php post_class('neatblog-post-standard neatblog-post-singular neatblog-box'); ?>>
<div class="neatblog-box-inside">

    <?php neatblog_before_single_post_title(); ?>

    <?php if ( !(neatblog_get_option('hide_post_title')) ) { ?>
    <header class="entry-header">
    <div class="entry-header-inside neatblog-clearfix">
        <?php if ( neatblog_get_option('remove_post_title_link') ) { ?>
            <?php the_title( '<h1 class="post-title entry-title">', '</h1>' ); ?>
        <?php } else { ?>
            <?php the_title( sprintf( '<h1 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        <?php } ?>

        <?php neatblog_single_postmeta(); ?>
    </div>
    </header><!-- .entry-header -->
    <?php } ?>

    <?php if ( !(neatblog_get_option('hide_share_buttons')) ) { echo wp_kses_post( force_balance_tags( neatblog_social_sharing_buttons() ) ); } ?>

    <?php neatblog_after_single_post_title(); ?>

    <div class="entry-content neatblog-clearfix">
            <?php
            neatblog_top_single_post_content();

            the_content( sprintf(
                wp_kses(
                    /* translators: %s: Name of current post. Only visible to screen readers */
                    __( 'Continue reading<span class="neatblog-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'neatblog' ),
                    array(
                        'span' => array(
                            'class' => array(),
                        ),
                    )
                ),
                wp_kses_post( get_the_title() )
            ) );

            wp_link_pages( array(
             'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'neatblog' ) . '</span>',
             'after'       => '</div>',
             'link_before' => '<span>',
             'link_after'  => '</span>',
             ) );

            neatblog_bottom_single_post_content();
            ?>
    </div><!-- .entry-content -->

    <?php neatblog_after_single_post_content(); ?>

    <?php if ( !(neatblog_get_option('hide_post_tags')) && has_tag() ) { ?>
    <footer class="entry-footer neatblog-entry-footer">
    <div class="neatblog-entry-footer-inside">
        <?php neatblog_post_tags(); ?>
    </div>
    </footer><!-- .entry-footer -->
    <?php } ?>

    <?php if ( !(neatblog_get_option('hide_author_bio_box')) ) { echo wp_kses_post( force_balance_tags( neatblog_add_author_bio_box() ) ); } ?>

</div>
</article>

<?php neatblog_after_single_post(); ?>