<?php
/**
* Template part for displaying posts.
*
* @link https://developer.wordpress.org/themes/basics/template-hierarchy/
*
* @package NeatBlog WordPress Theme
* @copyright Copyright (C) 2022 ThemesDNA
* @license http://www.gnu.org/licenses/gpl-2.0.html GNU/GPLv2 or later
* @author ThemesDNA <themesdna@gmail.com>
*/
?>

<article id="post-<?php the_ID(); ?>" <?php post_class('neatblog-post-standard neatblog-post-summary neatblog-box'); ?>>
<div class="neatblog-box-inside">

    <?php neatblog_before_summary_post_title(); ?>

    <?php if ( !(neatblog_get_option('hide_post_title_home')) ) { ?>
    <header class="entry-header">
    <div class="entry-header-inside neatblog-clearfix">
        <?php if ( neatblog_get_option('post_title_link_home') == 'no' ) { ?>
            <?php the_title( sprintf( '<h1 class="post-title entry-title">', esc_url( get_permalink() ) ), '</h1>' ); ?>
        <?php } else { ?>
            <?php the_title( sprintf( '<h1 class="post-title entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h1>' ); ?>
        <?php } ?>

        <?php neatblog_summaries_postmeta(); ?>
    </div>
    </header><!-- .entry-header -->
    <?php } ?>

    <?php if ( !(neatblog_get_option('hide_share_buttons_home')) ) { echo wp_kses_post( force_balance_tags( neatblog_social_sharing_buttons() ) ); } ?>

    <?php neatblog_after_summary_post_title(); ?>

    <?php if ( !(neatblog_get_option('hide_post_snippet')) ) { ?>

    <?php if ( 'full' === neatblog_post_snippet_type() ) { ?>

        <div class="entry-content entry-content-plural neatblog-clearfix">
                <?php
                the_content( sprintf(
                    wp_kses(
                        /* translators: %s: Name of current post. Only visible to screen readers */
                        __( 'Continue reading<span class="neatblog-sr-only"> "%s"</span> <span class="meta-nav">&rarr;</span>', 'neatblog' ),
                        array(
                            'span' => array(
                                'class' => array(),
                            ),
                        )
                    ),
                    wp_kses_post( get_the_title() )
                ) );

                wp_link_pages( array(
                 'before'      => '<div class="page-links"><span class="page-links-title">' . esc_html__( 'Pages:', 'neatblog' ) . '</span>',
                 'after'       => '</div>',
                 'link_before' => '<span>',
                 'link_after'  => '</span>',
                 ) );
                ?>
        </div><!-- .entry-content -->

      <?php } elseif ( 'postcontent' === neatblog_post_snippet_type() ) { ?>

        <div class="entry-content entry-content-plural neatblog-clearfix"><?php echo wp_kses_post( wp_trim_words( get_the_content(), neatblog_post_snippet_length(), '...' ) ); ?></div>

      <?php } else { ?>

        <div class="entry-content entry-content-plural neatblog-clearfix"><?php the_excerpt(); ?></div>

    <?php } ?>

    <?php } ?>

    <?php if ( !(neatblog_get_option('hide_post_tags_home')) && has_tag() ) { ?>
    <footer class="entry-footer neatblog-entry-footer">
    <div class="neatblog-entry-footer-inside">
        <?php neatblog_post_tags(); ?>
    </div>
    </footer><!-- .entry-footer -->
    <?php } ?>

</div>
</article>
